org.apache.solr.spelling.suggest.fst

## Class FSTLookupFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.LookupFactory
  - - org.apache.solr.spelling.suggest.fst.FSTLookupFactory

-     public class FSTLookupFactory
      extends LookupFactory

  Factory for `FSTCompletionLookup`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EXACT_MATCH_FIRST` If `true`, exact suggestions are returned first, even if they are prefixes of other strings in the automaton (possibly with larger weights).
    `static String` | `WEIGHT_BUCKETS` The number of separate buckets for weights (discretization).

    - ### Fields inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `DEFAULT_FILE_BASED_DICT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSTLookupFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Lookup` | `create(NamedList params, SolrCore core)` Create a Lookup using config options in `params` and current `core`
    `String` | `storeFileName()` Returns the filename in which the in-memory data structure is stored

    - ### Methods inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `getTempDir`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WEIGHT_BUCKETS

          public static final String WEIGHT_BUCKETS

      The number of separate buckets for weights (discretization). The more buckets, the more fine-grained term weights (priorities) can be assigned. The speed of lookup will not decrease for prefixes which have highly-weighted completions (because these are filled-in first), but will decrease significantly for low-weighted terms (but these should be infrequent, so it is all right).

      The number of buckets must be within [1, 255] range.

      See Also:
        Constant Field Values

    - #### EXACT_MATCH_FIRST

          public static final String EXACT_MATCH_FIRST

      If `true`, exact suggestions are returned first, even if they are prefixes of other strings in the automaton (possibly with larger weights).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FSTLookupFactory

          public FSTLookupFactory()

  - ### Method Detail

    - #### create

          public Lookup create(NamedList params,
                               SolrCore core)

      Description copied from class: `LookupFactory`
      Create a Lookup using config options in `params` and current `core`
      Specified by:
        `create` in class `LookupFactory`

    - #### storeFileName

          public String storeFileName()

      Description copied from class: `LookupFactory`

      Returns the filename in which the in-memory data structure is stored

      NOTE: not all `Lookup` implementations store in-memory data structures
      Specified by:
        `storeFileName` in class `LookupFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.